﻿using C1.WPF.FlexGrid;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication11
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        List<bool> list = new List<bool>();
        public MainWindow()
        {
            list.Add(true);
            list.Add(false);
            list.Add(true);
            InitializeComponent();
            this.flexGrid.ItemsSource = list;          
            
        }

        private void flexGrid_Loaded(object sender, RoutedEventArgs e)
        {
            C1FlexGrid grid = sender as C1FlexGrid;
            var filter = C1FlexGridFilterService.GetFlexGridFilter(grid);
            filter.Editor = new MyColumnFilterEditor();

        }

   
     
    }
    public class CustomConverter : IValueConverter
    {

        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {

            string val = value.ToString();
            if (val.Equals("False"))
                return "无效";

            else if (val.Equals("True"))
                return "有效";
            else
                return val;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();

        }

    }

    public class MyColumnFilterEditor : ColumnFilterEditor
    {

        ListBox _lbValues;

        public override void OnApplyTemplate()
        {

            base.OnApplyTemplate();

            _lbValues = GetTemplateChild("_lbValues") as ListBox;

        }



        protected override void AddValueCheckBox(object content, bool isChecked)
        {

            base.AddValueCheckBox(content, isChecked);

            var checkBox = _lbValues.Items[_lbValues.Items.Count - 1] as CheckBox;

            checkBox.ContentTemplate = FindResource("checkBoxTemplate") as DataTemplate;

        }

    }

    //public class MonitoringFlexGridFactory : CellFactory
    //{
    //    public override void CreateCellContent(C1FlexGrid grid, Border bdr, CellRange rng)
    //    {
    //        base.CreateCellContent(grid, bdr, rng);

    //        if (rng.Column == 0)
    //        {
    //            var filter = C1FlexGridFilterService.GetFlexGridFilter(grid);
    //            var c = grid.Columns[0];
    //                var cf = filter.GetColumnFilter(c);
    //                if(cf != null)
    //                {
    //                    //cf.ConditionFilter.Clear();
    //                    //cf.ValueFilter.Values = new string[] { "AA"};
    //                }
    //        }
    //    }
    //}
}
